
/**
 * Write a description of interface Computer here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */

public interface Computer
{
    /**
     * Adds new component to the computer. 
     * @param component component to be added to the computer
     * @throws IllegalArgumentException if the total power consuption of all included
     * components exceeds 95% of the power source capacity.
     */
    void addComponent(Component component) throws IllegalArgumentException;
    
    /**
     * Gets the total required power of all components
     * @returns the total power required by all components
     */
    int getRequiredPower();
}
